import { setRequest } from "@/utils/httpRequest";

/**
 * 6.1.1 平板策略-公共策略列表
 */
export const stPad_list = (data) => setRequest("stPad/list", data);
/**
 * 6.1.2 平板策略-新增
 */
export const stPad_add = (data) => setRequest("stPad/add", data);
/**
 * 6.1.3 平板策略-更新
 */
export const stPad_edit = (data) => setRequest("stPad/edit", data);
/**
 * 6.1.4 平板策略-删除
 */
export const stPad_delete = (data) => setRequest("stPad/delete", data);
/**
 * 6.1.5 平板策略-详情
 */
export const stPad_detail = (data) => setRequest("stPad/detail", data);
/**
 * 6.1.6 平板策略-启用
 */
export const stPad_edit_enable = (data) =>
  setRequest("stPad/edit_enable", data);
/**
 * 6.1.7 平板策略-禁用
 */
export const stPad_edit_unenable = (data) =>
  setRequest("stPad/edit_unenable", data);
/**
 * 6.1.8 平板策略-授权
 */
export const stPad_add_empower = (data) =>
  setRequest("stPad/add_empower", data);
/**
 * 6.1.9 平板策略-学校班级详情
 */
export const stPad_detail_obj = (data) => setRequest("stPad/detail_obj", data);
/**
 * 6.1.10 平板策略-个人策略
 */
export const stPad_list_user = (data) => setRequest("stPad/list_user", data);
/**
 * 平板策略-个人策略（网页端）
 */
export const stPad_detail_web = (data) => setRequest("stPad/detail_web", data);
/**
 * 6.1.11 平板策略-平板用户
 */
export const stPad_detail_pad = (data) => setRequest("stPad/detail_pad", data);
/**
 * 6.1.12 平板策略-引用
 */
export const stPad_add_quote = (data) => setRequest("stPad/add_quote", data);
/**
 * 6.2.1 应用策略-公共策略列表
 */
export const stApp_list = (data) => setRequest("stApp/list", data);
/**
 * 6.2.1 应用策略-选择列表
 */
export const stApp_list_sel = (data) => setRequest("stApp/list_sel", data);
/**
 * 6.2.2 应用策略-新增
 */
export const stApp_add = (data) => setRequest("stApp/add", data);
/**
 * 6.2.3 应用策略-更新
 */
export const stApp_edit = (data) => setRequest("stApp/edit", data);
/**
 * 6.2.3.2 应用策略-启用
 */
export const stApp_enable = (data) => setRequest("stApp/enable", data);
/**
 * v6.2.3.3 应用策略-禁用
 */
export const stApp_disabled = (data) => setRequest("stApp/disabled", data);
/**
 * 6.2.4 应用策略-删除
 */
export const stApp_delete = (data) => setRequest("stApp/delete", data);
/**
 * 6.2.5 应用策略-详情
 */
export const stApp_detail = (data) => setRequest("stApp/detail", data);
/**
 * 6.2.6 应用策略-授权
 */
export const stApp_add_empower = (data) =>
  setRequest("stApp/add_empower", data);
/**
 * 6.2.7 应用策略-学校/班级引用详情
 */
export const stApp_detail_obj = (data) => setRequest("stApp/detail_obj", data);
/**
 * 6.2.8 应用策略--平板用户
 */
export const stApp_list_pad = (data) => setRequest("stApp/list_pad", data);
/**
 * 6.3.1 策略--学校班级
 */
export const class_list_strategy = (data) =>
  setRequest("class/list_strategy", data);
